pydo.apps.get_exec_active_deployment()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.apps.get_exec_active_deployment(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
component_name="component",
instance_name=None,
)Description
Returns a websocket URL that allows sending/receiving console input and output to a component of the active deployment if one exists.
Parameters
app_idstring requiredThe app ID
component_namestring requiredAn optional component name. If set, logs will be limited to this component only.
instance_namestring optionalThe name of the actively running ephemeral compute instance
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/components/{component_name}/exec in the API reference for additional detail on responses, headers, parameters, and more.